VPS

Create new server

post/vps/create/{project_id}

Deploy a new VPS server with your chosen plan, operating system, and location. Your server will be ready in minutes.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

project_id*integer
Range1 ≤ value

Request body

application/jsonRequired
label*string
template_name?string | null

Operating system or app image. Required unless snapshot_id is given.

snapshot_id?string | null

UUID of a VPS snapshot of your organization to deploy instead of an image. Excludes template_name.

plan_name*string
location_name*string
name*string
ssh_key_ids?array<integer> | null

List of SSH key IDs to add to the VPS

network_id?integer | null
user?string | null

Will default to 'root' if empty.

password?string | null

If empty, no root password is set. Minimum 8 characters if provided.

availability_group_uuid?string | null

UUID of availability group (optional)

ipv4?boolean

IPv4 address (dual-stack). Additional $1.50/month. IPv6 is always included for free.

Defaulttrue
ipv6?boolean

Public IPv6 address (free). Disable to deploy without any public IP (requires a private network).

Defaulttrue
custom_cloudinit?string | null

Custom cloud-init configuration (YAML). Add your own packages, runcmd, write_files, etc. Only for Linux templates.

firewall_group_ids?array<integer> | null

Firewall group ID to assign to this VPS (max 1)

Rangeitems ≤ 1
enable_backups?boolean | null

Enable automatic backups for this VPS

Defaultfalse
environments?record<string, string> | null

Environment configuration values (e.g. API keys). Transient, not stored.

addons?array<AddonSelection> | null

Billing addons to add to the server (only in hourly billed projects). See available_addons of each plan in GET /vps/plans.

Rangeitems ≤ 20
Properties (2)
slug*string

Addon slug

Range1 ≤ length ≤ 64
quantity?integer

Units (1 for flat addons)

Range1 ≤ value ≤ 100000Default1

Responses

Successful Response

application/json

detail*string
vps_id*integer
name*string
status*string
plan*string
location*string
ipv6_address?string | null
ipv4_address?string | null
addons?array<ServiceAddonCustomerOut>
Properties (17)
uuid*string
slug*string
name*string
description?string | null
category*string
unit_label?string | null
quantity*integer
monthly_unit_price*number
monthly_total*number
hourly_total?number | null
setup_fee*number
billing_mode*string
status*string
contracted_at?string | null
cancel_effective_at?string | null
reference?string | null
currency?string
Default"USD"